curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/reply-analytics?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": {
"currentMonth": { "replied": 150 },
"previousMonth": { "replied": 120 },
"percentage_change": "+25%",
"trend": "increase"
}
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
Smart Prospect
Reply Analytics API
Retrieve reply analytics (replied count, trend) for the authenticated user - GET /reply-analytics
GET
/
api
/
v1
/
search-email-leads
/
reply-analytics
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/reply-analytics?api_key=YOUR_API_KEY"
{
"success": true,
"message": "Data retrieved successfully",
"data": {
"currentMonth": { "replied": 150 },
"previousMonth": { "replied": 120 },
"percentage_change": "+25%",
"trend": "increase"
}
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
This endpoint requires authentication via API key passed as a query parameter (
api_key).Query Parameters
string
required
Your SmartLead API key for authentication
curl -X GET "https://prospect-api.smartlead.ai/api/v1/search-email-leads/reply-analytics?api_key=YOUR_API_KEY"
Response Codes
Success
Request successful
Unauthorized
Unauthorized
Internal Server Error
Internal Server Error
{
"success": true,
"message": "Data retrieved successfully",
"data": {
"currentMonth": { "replied": 150 },
"previousMonth": { "replied": 120 },
"percentage_change": "+25%",
"trend": "increase"
}
}
{
"statusCode": 401,
"success": false,
"message": "Unauthorized",
"error": "User not authenticated"
}
